Subject: bug#24503: closed (Re: bug#24503: unstable test results (on hydra))

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 10 Jan 2018 04:03:02 +0000

Your bug report

#24503: unstable test results (on hydra)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24503: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24503
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24503: unstable test results (on hydra)
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 09 Jan 2018 23:02:05 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 26.0.91

I've tagged the relevant tests as unstable and skipped them by default.
I will tag more tests as unstable if and when they come up.

Subject: unstable test results (on hydra)
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Wed, 21 Sep 2016 16:22:24 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Version: 25.1

On hydra (at least), some tests fail in one iteration and succeed in the
next, for no clear reason. This cause noise on the emacs-buildstatus
mailing list and makes it harder to spot real problems.

Someone (TM) should look into this and try to figure out if the tests
really have a problem, or if the problematic ones should just be
disabled on hydra.

eieio-test-37-obsolete-name-in-constructor is one I have noticed several
times.

Failed: http://hydra.nixos.org/build/40880158
Passed: http://hydra.nixos.org/build/40890883

There were no relevant changes between those builds.